Subject: [bug#77651] [PATCH c++-team 1/1] gnu: Update abseil-cpp and abseil-cpp-20220623.

From: Greg Hogan <[email-masked]>
Date: Wed, 9 Apr 2025 11:18:01 -0400

On Tue, Apr 8, 2025 at 4:41 PM Andreas Enge <[email-masked]> wrote:
>
> Am Tue, Apr 08, 2025 at 04:37:33PM -0400 schrieb Greg Hogan:
> > You and Maxim should discuss this, whether in general it is preferred
> > to make one commit per package or to combine commits to prevent
> > breakage in between.
>
> Well, Guix practice, as far as I know, has always been to use one commit
> per package. Did Maxim suggest otherwise, or why should we discuss it?
>
> Andreas

Discussion was part of #76960: https://issues.guix.gnu.org/76960#24

And I think I understand Maxim's point of view and am in agreement at
some level. My chief remark is that I don't see the project following
this practice, and that it is largely impractical to do so. But
perhaps we should do more of this where we can. Or instead simply do
(on the order of) quarterly releases.

I have seen, and have been writing, single commits which apply the
same very simple changes to multiple packages (for example, from
#76960 the pinning of the spdlog input).

Greg